Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.gisgraphy.domain.valueobject
Enum SRID

    java.lang.Object
      java.lang.Enum<SRID>
          com.gisgraphy.domain.valueobject.SRID

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SRID>

    public enum SRID

extends java.lang.Enum<SRID>

An SRID enum

Author:
  David Masclet
See Also:
  SRID

Enum Constant Summary
`WGS84_SRID`

Method Summary
`abstract int` | `getSRID()`
`static SRID` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SRID[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WGS84_SRID

    public static final SRID WGS84_SRID

Method Detail

### values

    public static final SRID[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SRID c : SRID.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SRID valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getSRID

    public abstract int getSRID()

  Returns:
    an SRID (Spatial Reference IDentifier) *
  See Also:
    SRID

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.